core.node / Node / <init>

# <init>

`Node(dir: Path, p2pAddr: <ERROR CLASS>, configuration: NodeConfiguration, timestamperAddress: LegallyIdentifiableNode?)`

A Node manages a standalone server that takes part in the P2P network. It creates the services found in ServiceHub, loads important data off disk and starts listening for connections.

### Parameters

`dir` - A Path to a location on disk where working files can be found or stored.
`p2pAddr` - The host and port that this server will use. It cant find out its own external hostname, so you have to specify that yourself.
`configuration` - This is typically loaded from a .properties file
`timestamperAddress` - If null, this node will become a timestamping node, otherwise, it will use that one.